/* styles.css */
body {
  background-color: #e67d42;
  font-family: "Inter", sans-serif;
}

.age-alert {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.8);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

.age-alert-content {
  background: #f5f0e8;
  padding: 20px;
  border: 1px solid white;
  text-align: center;
}

.age-alert-content h2 {
  margin-top: 0;
}

.age-alert-content button {
  margin: 10px;
  padding: 10px 20px;
  border: 1px solid white;
  background-color: white;
  color: black;
  cursor: pointer;
}

.age-alert-content button:hover {
  background-color: pink;
}

.drink-responsibly {
  height: 80px;
  margin-bottom: 20px;
}

.container {
  margin: 60px auto;
  max-width: 600px;
  border: 1px solid black;
  padding: 20px;
}

h1 {
  text-align: center;
  font-family: "Almarai", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 48px;
  line-height: 1.5;
}

h2 {
  text-align: center;
  font-family: "Almarai", sans-serif;
  text-transform: uppercase;
  font-weight: 600;
  font-style: bold;
  font-size: 20px;
  line-height: 1;
  letter-spacing: 3px;
}

h3 {
  font-family: "Almarai", sans-serif;
  font-weight: 400;
  font-size: 15px;
  line-height: 1.5;
  text-decoration: underline;
}

h4 {
  font-family: "Inter", sans-serif;
  font-weight: 400;
  font-size: 18px;
  line-height: 2;
  text-align: center;
  font-style: normal;
  font-variation-settings: "slnt" -9;
}

.form-container {
  padding: 20px;
  margin-bottom: 30px;
  color: black;
}

form {
  display: flex;
  margin: 5px;
}

img {
  display: block;
  margin: 0 auto;
}

small {
  opacity: 0.6;
  margin-left: 10px;
}

input::placeholder {
  color: black;
}

.instructions {
  padding: 16px;
  border: 1px solid black;
  width: 80%;
  font-size: 16px;
  background-color: #e67d42;
  line-height: 20px;
}

.submit-button {
  margin-left: 10px;
  background: none;
  border: none;
  width: 150px;
  font-size: 16px;
  border: 1px solid black;
  padding: 14px 24px;
  cursor: url("./imgs/cocktail.svg") 12 12, auto;
}

.recipe {
  text-align: left;
  font-size: 12px;
  background-color: none;
  padding: 20px;
  line-height: 2;
  border: 1px solid black;
}

ul {
  padding: 0px;
}

.ingredients li {
  border-bottom: 1px solid black;
  list-style: none;
}

footer {
  text-align: center;
  padding: 10px;
}

footer a {
  font-size: 15px;
  color: black;
  text-decoration: none;
}

footer a:hover {
  text-decoration: underline;
}

footer a:visited {
  color: black;
}

.method li {
  color: black;
  padding: 0px;
}

.footer-links {
  font-size: 15px;
}

@media screen and (max-width: 600px) {
  .container {
    margin: 50px auto;
    padding: 10px;
  }

  h1 {
    font-size: 28px;
  }

  .form-container {
    padding: 10px;
  }

  .instructions {
    padding: 5px;
  }

  .submit-button {
    margin-left: 5px;
    padding: 7px 12px;
  }

  .drink-responsibly {
    height: 40px;
    margin-bottom: 20px;
  }

  .loading-image {
    width: 200px;
  }
}
